Difficult for users to know what exact version of each extension is running on the cluster
Closed, ResolvedPublic

Description

This bug was cloned from bug 50120.

(In reply to bug 50120 comment #5)

We believe that this is now fixed (due to fixes in Parsoid). Please re-open
if it recurs.

How do you know what version of VisualEditor or Parsoid is running? Looking at Erik's comment (bug 50120 comment 6), I try to go to [[Special:Version]] to figure out what exact versions of Parsoid and VisualEditor are running (for debugging purposes and to figure out if this problem is still present in the latest bleeding edge code) and I find that Parsoid and VisualEditor are both marked as version 0.1.0. Not quite helpful for debugging. Splitting this issue out.


Version: unspecified
Severity: enhancement

bzimport added a project: Wikimedia-Site-requests.Via ConduitNov 22 2014, 1:53 AM
bzimport set Reference to bz50879.
MZMcBride created this task.Via LegacyJul 7 2013, 1:39 AM
Jdforrester-WMF added a comment.Via ConduitJul 7 2013, 1:56 AM

(In reply to comment #0)

This bug was cloned from bug 50120.

(In reply to bug 50120 comment #5)
> We believe that this is now fixed (due to fixes in Parsoid). Please re-open
> if it recurs.

How do you know what version of VisualEditor or Parsoid is running? Looking
at
Erik's comment (bug 50120 comment 6), I try to go to [[Special:Version]] to
figure out what exact versions of Parsoid and VisualEditor are running (for
debugging purposes and to figure out if this problem is still present in the
latest bleeding edge code) and I find that Parsoid and VisualEditor are both
marked as version 0.1.0. Not quite helpful for debugging. Splitting this
issue
out.

This is a cluster configuration issue; it's trivial to find out which version of VisualEditor is running in Beta Labs, as each MW extension is shown in http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version with the date and a link to the git.wikimedia.org page of the currently-running commit. I don't think bumping version numbers on extensions with every deployment is a great idea, however.

(Note that this doesn't help for Parsoid, however, as it's not actually an MW extension, despite the confusing repo name.)

For ultra-power-users like me, I "just":

However, this isn't remotely a great solution for even quite serious developers on staff or in the community, let alone regular users who might want to file bugs.

Could we switch on the configuration we have on beta labs for Special:Version for other wikis? (Perhaps as a page option - ?showversions=true or whatever, so as to avoid confusing users.)

MZMcBride added a comment.Via ConduitJul 7 2013, 5:12 PM

(In reply to comment #1)

Could we switch on the configuration we have on beta labs for Special:Version
for other wikis? (Perhaps as a page option - ?showversions=true or whatever,
so as to avoid confusing users.)

I'm not sure of the history here, but perhaps it could show the extra info only for logged-in users?

Jdforrester-WMF added a comment.Via ConduitJul 8 2014, 5:44 PM

With bug 53972 now fixed, this is now fixed in Beta Labs (see http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version for git hashes against each extension), and for VisualEditor specifically (which was the original locus of this suggestion) it's also available at the bottom of the "help" menu.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.